# Interface Processing

All Known Implementing Classes:
  `DefaultProcessing`

@UML(identifier="LE_Processing", specification=ISO_19115_2) public interface Processing
Comprehensive information about the procedure(s), process(es) and algorithm(s) applied in the process step.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends Algorithm>`
  `getAlgorithms()`
  Details of the methodology by which geographic information was derived from the instrument readings.
  `Collection<? extends Citation>`
  `getDocumentations()`
  Reference to documentation describing the processing.
  `Identifier`
  `getIdentifier()`
  Information to identify the processing package that produced the data.
  `InternationalString`
  `getProcedureDescription()`
  Additional details about the processing procedures.
  `InternationalString`
  `getRunTimeParameters()`
  Parameters to control the processing operations, entered at run time.
  `Collection<? extends Citation>`
  `getSoftwareReferences()`
  Reference to document describing processing software.

- ## Method Details

  - ### getIdentifier

    @UML(identifier="identifier", obligation=MANDATORY, specification=ISO_19115_2) Identifier getIdentifier()
    Information to identify the processing package that produced the data.
    Returns:
      Identifier of the processing package that produced the data.

  - ### getSoftwareReferences

    @UML(identifier="softwareReference", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Citation> getSoftwareReferences()
    Reference to document describing processing software.
    Returns:
      Document describing processing software.

  - ### getProcedureDescription

    @UML(identifier="procedureDescription", obligation=OPTIONAL, specification=ISO_19115_2) InternationalString getProcedureDescription()
    Additional details about the processing procedures.
    Returns:
      Processing procedures.

  - ### getDocumentations

    @UML(identifier="documentation", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Citation> getDocumentations()
    Reference to documentation describing the processing.
    Returns:
      Documentation describing the processing.

  - ### getRunTimeParameters

    @UML(identifier="runTimeParameters", obligation=OPTIONAL, specification=ISO_19115_2) InternationalString getRunTimeParameters()
    Parameters to control the processing operations, entered at run time.
    Returns:
      Parameters to control the processing operations.

  - ### getAlgorithms

    @UML(identifier="algorithm", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Algorithm> getAlgorithms()
    Details of the methodology by which geographic information was derived from the instrument readings.
    Returns:
      Methodology by which geographic information was derived from the instrument readings.